<script>
    import NftDetailsImage from '../../../Components/NftDetailsImage.svelte';
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import { vectors } from '../../../data/showcase/vectors_nft_bundles.json';
</script>

<h1>Component: Nft Details Image</h1>
<p>An image component for the nft details page.</p>

{#each vectors as test_case, index}
    <TestCaseOverview {test_case} />
    {#each test_case.mock_data as mock, index}
        <div class="w-80 h-80">
            <NftDetailsImage token_uri={mock.nft_full.objects[mock.nft_full.id].token_uri} />
        </div>
    {/each}
{/each}

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
